OTBGUI_VECTORCLASSIFIER(1)

NAME
otbgui_VectorClassifier - OTB VectorClassifier application

DESCRIPTION
This is the VectorClassifier application, version 6.0.0 Performs a classification of the input vector data according to a model file.Features of the vector data output will contain the class labels decided by the classifier (maximal class label = 65535).

Complete documentation: http://www.orfeo-toolbox.org/Applications/VectorClassifier.html

  Parameters:

-progress <boolean>
    Report progress

-in <string> Name of the input vector data (mandatory)

-instat
    <string> Statistics file (optional, off by default)

-model <string> Model file (mandatory)

-cfield
    <string> Field containing the predicted class (mandatory, default value is predicted)

-feat
    <string list> Field names to be calculated. (mandatory, default value is )

-confmap
    <boolean> Confidence map (optional, off by default)

-out
    <string> Output vector data file containing class labels (optional, off by default)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_VectorClassifier -in vectorData.shp -instat meanVar.xml -model svmModel.svm -out svmModel.svm -feat perimeter area width -cfield predicted